### Method

# GtkSource GutterRenderer align_cell

#### Declaration [src]

    void
    gtk_source_gutter_renderer_align_cell (
      GtkSourceGutterRenderer* renderer,
      guint line,
      gfloat width,
      gfloat height,
      gfloat* x,
      gfloat* y
    )

#### Description [src]

Locates where to render content that is `width` x `height` based on the renderers alignment and padding.

The location will be placed into `x` and `y` and is relative to the renderer’s coordinates.

It is encouraged that renderers use this function when snappshotting to ensure consistent placement of their contents.

#### Parameters

`line`

  Type: `guint`

  The line number for content.

`width`

  Type: `gfloat`

  The width of the content to draw.

`height`

  Type: `gfloat`

  The height of the content to draw.

`x`

  Type: `gfloat*`

  The X position to render the content.

  The argument will be set by the function.

`y`

  Type: `gfloat*`

  The Y position to render the content.

  The argument will be set by the function.